Subject: LRO: Re: Kinda Long and Opinionated Leaf/Coil

From: [email-masked]
Date: Mon, 2 Jul 2001 18:23:51 EDT

Frank Elson wrote:

> big bust up on the list and it was split up into 'leafers' and 'coilers'.
> Now you can try to fool yourselves as much as you like but that split was
> not over suspension systems although that provided a nice little excuse.
> It was over the completely different attitudes between owners of 'new'
> vehicles and owners of 'old' ones, between poseurs and enthusiasts, between
> .

You caught us, Frank.

Mea culpa...

Paul Donohue
1965 Land Rover 109
Denver